<!doctype html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<title>Map Coordinates</title>
	<script>
		window.onload = init;

		function init() {
			var map = document.getElementById("map");
			map.onmousemove = showCoords;

			var mydiv = document.getElementById("mydiv");
			mydiv.onclick = addtext;
			addElement();
		}



		function showCoords(eventObj) {
			var coords = document.getElementById("coords");
			var x = eventObj.clientX;
			var y = eventObj.clientY;
			coords.innerHTML = "Map coordinates: " + x + ", " + y;
		}

		function addtext() {
			if (document.createTextNode) {
				var textToAdd = " Div was clicked! ";
				var newNode = document.createTextNode(textToAdd);
				document.getElementById("mydiv").appendChild(newNode);
			}
			else {
				alert("Looks like you have an old browser!");
			}
		}

		function addElement() {
			
			// Luodaan ul-elementti ja annetaan sille sisältöä
			var newDiv = document.createElement('UL');
			var ulContent = document.createTextNode('Lasketaan FOR-looppia');
			newDiv.appendChild(ulContent);

			for (var i=0; i <= 6; i++){
				var newLi = document.createElement("LI");
				newDiv.appendChild(newLi);
				newLi.innerHTML = i + " kertaa FOR-loop";
			}
			//Lisätään elementti DOM:iin
			var currentDiv = document.getElementById('mydiv');
			document.body.appendChild(newDiv);
			
		}
	</script>
</head>

<body>
	<img id="map" src="data/map.jpg">
	<p id="coords">Move mouse over map to find coordinates...</p>
	<div id="mydiv" style="border:1px solid red">I am a DIV! Click me.</div>
</body>

</html>
